<template>
  <div class="d-inline-flex">
    <b-icon
      v-for="item in computedStars"
      :key="item"
      name="star-fill"
      class="c-yellow-3 mr-05x"
      :size="16"
    ></b-icon>
    <template v-if="!hideText">
      <p v-if="count > 0" class="text-md ml-2x"></p>
      <p v-else class="text-md c-grey-6">No rating yet</p>
    </template>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
  name: 'CommonRating',
  props: {
    count: {
      type: Number,
      default: 0,
    },
    rating: {
      type: Number,
      default: 0,
    },
    hideText: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    computedStars() {
      return [...Array(Math.round(this.rating)).keys()]
    },
  },
})
</script>
